
{% if [app.session.get('user_id'),null, P.sysma_object_type_id, null, null ,null ,null , 'lecteur']|hasAccess or [app.session.get('user_id'),null, P.sysma_object_type_id, null, null ,null ,null , 'contributeur']|hasAccess %}

    <div class="row">
        <div class="col-xs-12">

            <h3>{{ P.parameter|raw }} <small>[{{ P.parameter_id }}]</small>
                {% include('thesaurus/thesaurusSysmaObjectTypeParameterModificationButton.twig') %}</h3>
        </div>
        <div class="col-xs-12">
            <h4>Définition</h4>
            <p>{% autoescape %}{{ P.description|raw }}{% endautoescape %}</p>
        </div>
        {% if simple|default(false) == false %}
            <div class="col-xs-12">
                <h4>Source de la définition</h4>
                <p>{% autoescape %}{{ P.parameter_source|raw }}{% endautoescape %}</p>
            </div>
            <div class="col-xs-12">
                <h4>Source des données (généalogie)</h4>
                <p>{% autoescape %}{{ P.data_source|raw }}{% endautoescape %}</p>
            </div>
        {% endif %}
    </div>  
    <div class="row">
        <div class="col-xs-6">

            <h4>Type de données</h4>
            <p>{% autoescape %}{{ P.dataType|raw }}{% endautoescape %}</p>
            <h4>Obligatoire</h4>
            <p>{% autoescape %}{{ P.required==1 ? '<b>Oui</b>' : 'Non' }}{% endautoescape %}</p>

            <h4>Suivi dans le temps</h4>
            <p>{% autoescape %}{{ P.time_tracking==1 ? 'Oui' : 'Non' }}{% endautoescape %}</p>
        </div>
        <div class="col-xs-6">
            <h4>Alias sig</h4>
            <p>{% autoescape %}{{ P.parameter_alias|raw }}{% endautoescape %}</p>

            <h4>Terrain</h4>
            <p>{% autoescape %}{{ P.required_field_parameter|default('Non')|raw }}{% endautoescape %}</p>
        </div>
    </div>
    <div class="row">
        <div class="col-xs-12">

            {% if P.dataType == 'multipleTextChoiceType' or P.dataType == 'textChoiceType'  %}
                <h4>Valeurs possibles</h4>

                {% for choice in P.choicesArray %}
                    {% if print is not defined %}
                        <a href="{{ url('thesaurus-object-type-parameter-choice-update', { 'ido':P.sysma_object_type_id, 'id':P.parameter_id, 'idc':choice.choice_id }) }}" class="btn btn-xs btn-default"><span class="glypgicon glyphicon-pencil"></span>
                        {% endif %}</a> {{ choice.nom|raw }}<br>


                {% endfor %}

                {% if print is not defined %}
                    <p><a href="{{ url('thesaurus-object-type-parameter-choice-update', { 'ido':P.sysma_object_type_id, 'id':P.parameter_id ,'idc' : 'new' }) }}" class="btn btn-xs btn-default">Ajouter un choix</a><p>
                    {% endif %}
                {% endif %}
                {% if P.dataType == 'sysmaObjectLinkType'  %}
                <h4>Type d'objet lié</h4>
                {%  if P.choicesArray|length == 1 %}
                    {% if print is not defined %}
                        <a href="{{ url('thesaurus-object-type-parameter-object-type-link-update', { 'ido':P.sysma_object_type_id, 'id':P.parameter_id }) }}" class="btn btn-xs btn-default"><span class="glypgicon glyphicon-pencil"></span></a> 
                        {% endif %}
                    Type d'objet : {{  P.choicesArray[0].description|default(null) }} <small>[{{  P.choicesArray[0].nom }}]</small>
                {%  else  %}
                    {% if print is not defined %}
                        <a href="{{ url('thesaurus-object-type-parameter-object-type-link-update', { 'ido':P.sysma_object_type_id, 'id':P.parameter_id }) }}" class="btn btn-xs btn-default">Définir le lien</a>
                    {% endif %}
                {% endif %}
            {% endif %}



        </div>
    </div>

{% endif %}
